こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

締切り済みの質問

カーネルのインストールがうまくいかない

Redhat9.0を使っていて,カーネルは2.4.20でしたが,
カーネル2.4.18が必要となって,バージョンダウンする必要がありました.
そこで,カーネルのtar.gzファイルを
/usr/src/linux-2.4.18以下に展開し,
make mrproper
make menuconfig
make dep
make bzImage
make modules
make modules_install
を行いました.

しかし再起動し,grubでlinux-2.4.18を選んで起動しようとすると途中で kernel Panic :I have no root and I want to scream とエラーが出ます.
どのようにしたら起動できるようになるでしょうか?

投稿日時 - 2005-10-31 21:05:10

QNo.1748385

暇なときに回答ください

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(1)

ANo.1

grub で起動との事ですが、grub.confの内容についてお聞かせ下さい。

 今回、kernel panick が起こっているとのことですが、それまでのカーネルでの起動はできるのでしょうか。

 起動できるようであれば、あわせてそちらのgrub設定も記載お願いします。

投稿日時 - 2005-11-02 14:08:28

あなたにオススメの質問